@echo off

:start0

cd /d %~dp0
cd ez-vue-eleme-admin
cd

echo ==================
echo ez-vue-eleme-admin
echo ==================
echo 说明：本示例基于vue-element-admin，需要安装NodeJs(npm)才能正常运行，如本机未安装NodeJs，请前往其官网nodejs.org下载安装。
echo 首次运行前，应执行npm install安装引用包。
echo 本示例已上传到https://gitee.com/huzgd/vue-admin-template（ezdml-demo分支）
echo ...
echo 操作菜单：
echo 1.执行npm install，安装引用支撑包
echo 2.执行npm run dev，以开发模式运行
echo 3.进入命令行
echo 4.打开资源管理器
echo 5.退出
echo ...
choice /c 12345 /m "请选择操作"

if %errorlevel%==1 goto fun1
if %errorlevel%==2 goto fun2
if %errorlevel%==3 goto fun3
if %errorlevel%==4 goto fun4
if %errorlevel%==5 goto fun5

:fun1
echo ...
echo 执行npm install命令，安装引用支撑包（首次运行大概需要3-5分钟）...
echo npm install --registry=https://registry.npm.taobao.org ...
call npm install --registry=https://registry.npm.taobao.org
goto start0

:fun2
echo ...
echo 执行npm run dev命令，以开发模式运行...
call npm run dev
goto start0


:fun3
cmd
goto start0

:fun4
start explorer %~dp0
goto start0

:fun5
cd ..
echo 正在退出...
choice /t 1 /d y /n>nul

